/* Rosnik page */

#rosnik-main {
    max-width: 90%;
    gap: 3em;
}

img.rosnik-thumb {
    width: 5em;
    rotate: -10deg;
    margin: 1.5em;
    box-shadow: 5px 5px 10px #00000062;
}

img.logo-img {
    width: auto;
    max-width: 35em;
    min-width: 7em;
    border-radius: 0.2em;
    padding: 1em;
    box-sizing: border-box;
}

#about-section {
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
    margin-top: 1em;
}

#description {
    max-width: 30em;
    line-height: 1.5em;
    padding: 1em;
}

/* Reader */

#rosnik-reader {
    position: fixed;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, .85);
    z-index: 100;
    text-shadow: 0 10px 40px rgba(0, 0, 0, .6); 
}

#rr-pan-wrapper {
    position: absolute;
    overflow: hidden; /* žádné scrollbary, čistý pan */
    top: 0; bottom: 0; right: 0; left: 0;
    touch-action: none; /* kvůli mobilnímu dragování */
}


#rr-pages {
    display: flex;
    gap: 1rem;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

.rr-page {
    max-width: 45vw;
    max-height: 85vh;
    object-fit: contain;
    border-radius: 8px;
    box-shadow: 0 10px 40px rgba(0,0,0,.6);
}

#rr-close {
    right: 20px;
    font-size: 2.5rem;
    top: 10px;
}

#rr-download {
    right: 80px;
    top: 30px;
    text-decoration: none;
}

#rr-prev,
#rr-next {
    top: 50%;
    transform: translateY(-50%);
    font-size: 2.8rem;
    color: var(--text);
}

#rr-prev { left: 18px; }
#rr-next { right: 18px; }
